Index: /trunk/phpgwapi/setup/manageheader.php
===================================================================
--- /trunk/phpgwapi/setup/manageheader.php	(revision 5913)
+++ /trunk/phpgwapi/setup/manageheader.php	(revision 7655)
@@ -505,5 +505,5 @@
 				);
 
-				for($i=0; $i<30; $i++)
+				for($i=0; $i<30; ++$i)
 				{
 					$GLOBALS['phpgw_info']['server']['mcrypt_iv'] .= $random_char[rand(1,count($random_char))];
Index: /trunk/phpgwapi/inc/class.net_http_client.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.net_http_client.inc.php	(revision 6057)
+++ /trunk/phpgwapi/inc/class.net_http_client.inc.php	(revision 7655)
@@ -816,5 +816,5 @@
 
 					sleep(0.1);
-					$failureCount++;
+					++$failureCount;
 					//print "elapsed ".(time()-$ts)."<br>";
 				}
Index: /trunk/phpgwapi/inc/class.listbox.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.listbox.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.listbox.inc.php	(revision 7655)
@@ -72,5 +72,5 @@
 				$this->p->parse('row','portal_listbox_header',True);
 
-				for ($x = 0; $x < count($this->data); $x++)
+				for ($x = 0; $x < count($this->data); ++$x)
 				{
 					$var = Array(
Index: /trunk/phpgwapi/inc/class.resultbox.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.resultbox.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.resultbox.inc.php	(revision 7655)
@@ -54,5 +54,5 @@
 			echo '<table border="0" cellpadding="0" cellspacing="0" width="'.$this->getvar('innerwidth')
 				. '" bgcolor="' . $this->getvar('innerbgcolor') . '">';
-			for ($x = 0; $x < count($this->data); $x++)
+			for ($x = 0; $x < count($this->data); ++$x)
 			{
 				echo '<tr>';
Index: /trunk/phpgwapi/inc/class.date_time.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.date_time.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.date_time.inc.php	(revision 7655)
@@ -383,5 +383,5 @@
 			if($month > 2 && $this->is_leap_year($year))
 			{
-				$julian++;
+				++$julian;
 			}
 			return($julian);
Index: /trunk/phpgwapi/inc/class.setup_detection.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.setup_detection.inc.php	(revision 5781)
+++ /trunk/phpgwapi/inc/class.setup_detection.inc.php	(revision 7655)
@@ -427,5 +427,5 @@
 						else
 						{
-							$none++;
+							++$none;
 						}
 					}
Index: /trunk/phpgwapi/inc/class.xmlrpc_server_php.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xmlrpc_server_php.inc.php	(revision 5912)
+++ /trunk/phpgwapi/inc/class.xmlrpc_server_php.inc.php	(revision 7655)
@@ -144,5 +144,5 @@
 		function verifySignature($in, $sig)
 		{
-			for($i=0; $i<sizeof($sig); $i++)
+			for($i=0; $i<sizeof($sig); ++$i)
 			{
 				// check each possible signature in turn
@@ -151,5 +151,5 @@
 				{
 					$itsOK = 1;
-					for($n=0; $n<$in->getNumParams(); $n++)
+					for($n=0; $n<$in->getNumParams(); ++$n)
 					{
 						$p = $in->getParam($n);
@@ -301,5 +301,5 @@
 				// now add parameters in
 				$plist = '';
-				for($i=0; $i<sizeof($GLOBALS['_xh'][$parser]['params']); $i++)
+				for($i=0; $i<sizeof($GLOBALS['_xh'][$parser]['params']); ++$i)
 				{
 					//print "<!-- " . $GLOBALS['_xh'][$parser]['params'][$i]. "-->\n";
Index: /trunk/phpgwapi/inc/class.jscalendar.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.jscalendar.inc.php	(revision 6063)
+++ /trunk/phpgwapi/inc/class.jscalendar.inc.php	(revision 7655)
@@ -162,5 +162,5 @@
 					{
 						$partcial_match = 0;
-						for($i = 1; $i <= 12; $i++)
+						for($i = 1; $i <= 12; ++$i)
 						{
 							$long_name  = lang(adodb_date('F',mktime(12,0,0,$i,1,2000)));
Index: /trunk/phpgwapi/inc/class.sessions.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.sessions.inc.php	(revision 6435)
+++ /trunk/phpgwapi/inc/class.sessions.inc.php	(revision 7655)
@@ -388,5 +388,5 @@
 				$ip_exploded = explode(",",$ip);
 				$ip = "";
-				for($i=0;$i<2;$i++)
+				for($i=0;$i<2;++$i)
 					$ip .= isset($ip_exploded[$i])?(($i==1?",":"").trim($ip_exploded[$i])):("");
 				if(strlen($ip)>30)
@@ -1190,5 +1190,5 @@
 
 					$new_extravars[$b[0]] = $b[1];
-					$i++;
+					++$i;
 				}
 				$extravars = $new_extravars;
Index: /trunk/phpgwapi/inc/class.gdgraph.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.gdgraph.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.gdgraph.inc.php	(revision 7655)
@@ -119,5 +119,5 @@
 			// Draw dashed lines for x axis
 			$linespace = ($this->graph_width - $this->margin_left - $this->margin_right) / ($this->num_lines_x - 1);
-			for ($i = 1; $i < $this->num_lines_x; $i++)
+			for ($i = 1; $i < $this->num_lines_x; ++$i)
 			{
 				$x = $i * $linespace + $this->margin_left;
@@ -130,5 +130,5 @@
 			// Draw dashed lines for y axis
 			$linespace = ($this->graph_height - $this->margin_top - $this->margin_bottom) / ($this->num_lines_y - 1);
-			for ($i = 1; $i < $this->num_lines_y; $i++)
+			for ($i = 1; $i < $this->num_lines_y; ++$i)
 			{
 				$y = $this->graph_height - $this->margin_bottom - ($i * $linespace);
@@ -174,5 +174,5 @@
 				$this->img->MoveTo($i * $linespace + $this->margin_left, $this->graph_height - $this->margin_bottom + 8);
 				$this->img->DrawText(array('text' => $text['date_formatted']));
-				$i++;
+				++$i;
 			}
 
@@ -223,5 +223,5 @@
 					}
 
-					for($y=0;$y<$largest;$y++)
+					for($y=0;$y<$largest;++$y)
 					{
 						if($line['sdate'] == $this->line_captions_x[$y]['date'])
@@ -249,5 +249,5 @@
 				elseif($line['edate'] <= $this->line_captions_x[$largest]['date'] && $line['edate'] >= $this->line_captions_x[0]['date'])
 				{
-					for($y=0;$y<$largest;$y++)
+					for($y=0;$y<$largest;++$y)
 					{
 						if($line['edate'] == $this->line_captions_x[$y]['date'])
@@ -262,10 +262,10 @@
 				}
 
-				for ($w = -3; $w < 4; $w++)
+				for ($w = -3; $w < 4; ++$w)
 				{
 					$this->img->Line(1+$x1,$y1+$w,$x2,$y2+$w);
 				}
-				$color_index++;
-				$i++;
+				++$color_index;
+				++$i;
 			}
 			// Draw the y axis text
@@ -274,10 +274,10 @@
 			$linespace = ($this->graph_height - $this->margin_top - $this->margin_bottom) / ($this->num_lines_y - 1);
 			$space = 1;
-			for ($i = 0;$i<count($this->data);$i++)
+			for ($i = 0;$i<count($this->data);++$i)
 			{
 				$y = $this->graph_height - $this->margin_bottom - ($space * $linespace) - 7;
 				$this->img->MoveTo($this->margin_left - 6, $y);
 				$this->img->DrawText(array('text' => $this->data[$i]['title'],'justification' => 'right','margin_left' => $this->margin_left));
-				$space++;
+				++$space;
 			}
 
Index: /trunk/phpgwapi/inc/class.contacts.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.contacts.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.contacts.inc.php	(revision 7655)
@@ -262,5 +262,5 @@
 			}
 
-			for ($index = 0; $index < strlen ($s1); $index++)
+			for ($index = 0; $index < strlen ($s1); ++$index)
 			{
 				/* $s1 comes after $s2 */
@@ -286,8 +286,8 @@
 		{
 			$lastindex = count($sortarray) - 2;
-			for ($subindex = 0; $subindex < $lastindex; $subindex++)
+			for ($subindex = 0; $subindex < $lastindex; ++$subindex)
 			{
 				$lastiteration = $lastindex - $subindex;
-				for ($iteration = 0; $iteration < $lastiteration; $iteration++)
+				for ($iteration = 0; $iteration < $lastiteration; ++$iteration)
 				{
 					$nextchar = 0;
Index: /trunk/phpgwapi/inc/class.contacts_ldap.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 6065)
+++ /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 7655)
@@ -328,5 +328,5 @@
 				{
 					$i=0;
-					for($i=0;$i<count($filterarray);$i++)
+					for($i=0;$i<count($filterarray);++$i)
 					{
 						list($name,$value) = preg_split('/=/',$filterarray[$i]);
@@ -482,5 +482,5 @@
 			@reset($ldap_fields);
 			$j = 0;
-			for($i=$start;$i<$limit;$i++)
+			for($i=$start;$i<$limit;++$i)
 			{
 				if($i<$this->total_records && $ldap_fields[$i]['uid'][0])
@@ -510,5 +510,5 @@
 						}
 					}
-					$j++;
+					++$j;
 				}
 			}
Index: /trunk/phpgwapi/inc/class.log.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.log.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.log.inc.php	(revision 7655)
@@ -92,5 +92,5 @@
 
 			$errorstack = $this->errorstack;
-			for ($i = 0; $i < count($errorstack); $i++)
+			for ($i = 0; $i < count($errorstack); ++$i)
 			{
 				$err = $errorstack[$i];
@@ -115,5 +115,5 @@
 			$new = array();
 			reset($this->errorstack);
-			for ($i = 0; $i < count($this->errorstack); $i++)
+			for ($i = 0; $i < count($this->errorstack); ++$i)
 			{
 				$err = $this->errorstack[$i];
@@ -141,5 +141,5 @@
 
 			$errorstack = $this->errorstack;
-			for ($i = 0; $i < count($errorstack); $i++)
+			for ($i = 0; $i < count($errorstack); ++$i)
 			{
 				$err = $errorstack[$i];
Index: /trunk/phpgwapi/inc/class.vfs_shared.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.vfs_shared.inc.php	(revision 6057)
+++ /trunk/phpgwapi/inc/class.vfs_shared.inc.php	(revision 7655)
@@ -793,5 +793,5 @@
 			$ext=$parts[(sizeof($parts)-1)];
 
-			for($i=0;$i<sizeof($contents);$i++)
+			for($i=0;$i<sizeof($contents);++$i)
 			{
 				if (!preg_match('/^#/',$contents[$i]))
@@ -800,5 +800,5 @@
 					if (sizeof($line) >= 2)
 					{
-						for($j=1;$j<sizeof($line);$j++)
+						for($j=1;$j<sizeof($line);++$j)
 						{
 							if($line[$j] == $ext)
@@ -1053,5 +1053,5 @@
 			$count = count ($rarray);
 			reset ($rarray);
-			for ($i = 0; (list ($key, $value) = each ($rarray)) && $i != $count; $i++)
+			for ($i = 0; (list ($key, $value) = each ($rarray)) && $i != $count; ++$i)
 			{
 				$rarray[$key . '_clean'] = $this->clean_string (array ('string' => $value));
@@ -1324,5 +1324,5 @@
 			}
 
-			for ($i = 1; $i != ($arg_info['params'] + 1); $i++)
+			for ($i = 1; $i != ($arg_info['params'] + 1); ++$i)
 			{
 				if (substr ($argv[$i], 0, 1) == "/")
@@ -1363,5 +1363,5 @@
 		function default_values ($data, $default_values)
 		{
-			for ($i = 0; list ($key, $value) = each ($default_values); $i++)
+			for ($i = 0; list ($key, $value) = each ($default_values); ++$i)
 			{
 				if (!isset ($data[$key]))
Index: /trunk/phpgwapi/inc/class.schema_proc_pgsql.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.schema_proc_pgsql.inc.php	(revision 5934)
+++ /trunk/phpgwapi/inc/class.schema_proc_pgsql.inc.php	(revision 7655)
@@ -385,5 +385,5 @@
 			{
 				$aIx[$i] = trim($ix);
-				$i++;
+				++$i;
 			}
 			/* Restore original value */
@@ -409,5 +409,5 @@
 
 					$sSQL .= $name;
-					$i++;
+					++$i;
 				}
 
@@ -444,5 +444,5 @@
 						}
 					}
-					$i++;
+					++$i;
 				}
 				$sSQL .= ')';
Index: /trunk/phpgwapi/inc/class.errorlog.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.errorlog.inc.php	(revision 370)
+++ /trunk/phpgwapi/inc/class.errorlog.inc.php	(revision 7655)
@@ -124,5 +124,5 @@
 
 			$errorstack = $this->errorstack;
-			for ($i = 0; $i < count($errorstack); $i++)
+			for ($i = 0; $i < count($errorstack); ++$i)
 			{
 				$err = $errorstack[$i];
@@ -153,5 +153,5 @@
 			$new = array();
 			reset($this->errorstack);
-			for ($i = 0; $i < count($this->errorstack); $i++)
+			for ($i = 0; $i < count($this->errorstack); ++$i)
 			{
 				$err = $this->errorstack[$i];
@@ -182,5 +182,5 @@
 
 			$errorstack = $this->errorstack;
-			for ($i = 0; $i < count($errorstack); $i++)
+			for ($i = 0; $i < count($errorstack); ++$i)
 			{
 				$err = $errorstack[$i];
Index: /trunk/phpgwapi/inc/class.setup_process.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.setup_process.inc.php	(revision 6737)
+++ /trunk/phpgwapi/inc/class.setup_process.inc.php	(revision 7655)
@@ -160,5 +160,5 @@
 				}
 
-				$i++;
+				++$i;
 				if($i == 20) /* Then oops it broke */
 				{
Index: /trunk/phpgwapi/inc/class.vcard.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.vcard.inc.php	(revision 6057)
+++ /trunk/phpgwapi/inc/class.vcard.inc.php	(revision 7655)
@@ -560,5 +560,5 @@
 								$namel = 'n_' . $myname;
 								$entry[$namel] = $values[$j];
-								$j++;
+								++$j;
 							}
 							break;
@@ -624,5 +624,5 @@
 		// Takes an array of contacts class fields/values, turns it into a vcard string:
 		//
-		// for($i=0;$i<count($buffer);$i++)
+		// for($i=0;$i<count($buffer);++$i)
 		// {
 		//     $vcards .= $this->vcard->out($buffer[$i]);
Index: /trunk/phpgwapi/inc/class.matrixview.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.matrixview.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.matrixview.inc.php	(revision 7655)
@@ -61,5 +61,5 @@
 		function matrixview ($month_int = 0, $year_int = 0)
 		{
-			for($i;$i<32;$i++)
+			for($i;$i<32;++$i)
 			{
 				if(checkdate($month_int,$i,$year_int)) $days++;
@@ -131,5 +131,5 @@
 					$go = 0;
 				}
-				$i++;
+				++$i;
 			}
 		
@@ -211,5 +211,5 @@
 
 			// loop through number of items
-			for($z=0;$z<$this->items_count;$z++)
+			for($z=0;$z<$this->items_count;++$z)
 			{
 				// seperate color and name from first array element
@@ -222,5 +222,5 @@
 
 				// loop through days of desired month
-				for($r=1;$r<$this->sumdays+1;$r++)
+				for($r=1;$r<$this->sumdays+1;++$r)
 				{
 					if($this->items_content[$z][$r] == 'x')
@@ -258,5 +258,5 @@
 			echo '<td>' . lang('Title') . '</td>' . "\n";
 
-			for($i=1;$i<$this->sumdays+1;$i++)
+			for($i=1;$i<$this->sumdays+1;++$i)
 			{
 				echo '<td bgcolor="'; echo $this->color_headerfield; echo '">' . sprintf("%02d",$i) . '</td>' . "\n";
@@ -302,5 +302,5 @@
 				echo '<select name="month"'; 
 
-				for($i=0;$i<13;$i++)
+				for($i=0;$i<13;++$i)
 				{
 					if ($this->month == $i)
@@ -318,5 +318,5 @@
 				echo '<select name="year"';
 
-				for($i = date('Y') -2;$i<date('Y')+5;$i++)
+				for($i = date('Y') -2;$i<date('Y')+5;++$i)
 				{
 					if($this->year == $i)
Index: /trunk/phpgwapi/inc/class.setup.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.setup.inc.php	(revision 3626)
+++ /trunk/phpgwapi/inc/class.setup.inc.php	(revision 7655)
@@ -710,5 +710,5 @@
 			$less = 0;
 
-			for($i=0;$i<count($testa);$i++)
+			for($i=0;$i<count($testa);++$i)
 			{
 				if($DEBUG) { echo'<br>Checking if '. (int)$testa[$i] . ' is less than ' . (int)$testb[$i] . ' ...'; }
@@ -716,5 +716,5 @@
 				{
 					if ($DEBUG) { echo ' yes.'; }
-					$less++;
+					++$less;
 					if($i<3)
 					{
@@ -792,5 +792,5 @@
 			$less = 0;
 
-			for($i=0;$i<count($testa);$i++)
+			for($i=0;$i<count($testa);++$i)
 			{
 				if($DEBUG) { echo'<br>Checking if '. (int)$testa[$i] . ' is more than ' . (int)$testb[$i] . ' ...'; }
@@ -798,5 +798,5 @@
 				{
 					if($DEBUG) { echo ' yes.'; }
-					$less++;
+					++$less;
 					if($i<3)
 					{
Index: /trunk/phpgwapi/inc/class.preferences.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.preferences.inc.php	(revision 3043)
+++ /trunk/phpgwapi/inc/class.preferences.inc.php	(revision 7655)
@@ -953,5 +953,5 @@
 			#$avail_pref_array = $bo_mail_prefs->std_prefs;
 			#$c_cust_prefs = count($bo_mail_prefs->cust_prefs);
-			#for($i=0;$i<$c_cust_prefs;$i++)
+			#for($i=0;$i<$c_cust_prefs;++$i)
 			#{
 			#	// add each custom prefs to the std prefs array
@@ -989,5 +989,5 @@
 			// --- loop thru $avail_pref_array and process each pref item ---
 			$c_prefs = count($avail_pref_array);
-			for($i=0;$i<$c_prefs;$i++)
+			for($i=0;$i<$c_prefs;++$i)
 			{
 				$this_avail_pref = $avail_pref_array[$i];
Index: /trunk/phpgwapi/inc/class.xmlrpcval.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xmlrpcval.inc.php	(revision 5509)
+++ /trunk/phpgwapi/inc/class.xmlrpcval.inc.php	(revision 7655)
@@ -184,5 +184,5 @@
 						// array
 						$rs .= '<array>'."\n".'<data>'."\n";
-						for($i=0; $i<sizeof($val); $i++)
+						for($i=0; $i<sizeof($val); ++$i)
 						{
 							$rs .= $this->serializeval($val[$i]);
Index: /trunk/phpgwapi/inc/class.sbox.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.sbox.inc.php	(revision 5912)
+++ /trunk/phpgwapi/inc/class.sbox.inc.php	(revision 7655)
@@ -75,5 +75,5 @@
 			$t_s[$selected] = ' selected';
 
-			for ($i=0; $i<24; $i++)
+			for ($i=0; $i<24; ++$i)
 			{
 				$s .= '<option value="' . $i . '"' . $t_s[$i] . '>'
@@ -89,5 +89,5 @@
 			$s = '<select name="' . $name . '">';
 			$t_s[$selected] = " selected";
-			for ($i=1; $i<13; $i++)
+			for ($i=1; $i<13; ++$i)
 			{
 				$s .= '<option value="' . $i . '"' . $t_s[$i] . '>'
@@ -106,5 +106,5 @@
 			$t_s[$selected] = " selected";
 
-			for ($i=0; $i<60; $i++)
+			for ($i=0; $i<60; ++$i)
 			{
 				$s .= '<option value="' . $i . '"' . $t_s[sprintf("%02d",$i)] . '>' . sprintf("%02d",$i) . '</option>';
@@ -139,5 +139,5 @@
 		{
 			$out = '';
-			for($i=0;$i<count($this->weekdays);$i++)
+			for($i=0;$i<count($this->weekdays);++$i)
 			{
 				$out .= '<option value="'.$i.'"'.($selected!=$i?'':' selected').'>'.($this->weekdays[$i]!=''?lang($this->weekdays[$i]):'').'</option>'."\n";
@@ -148,5 +148,5 @@
 		function nr2weekday($selected = 0)
 		{
-			for($i=0;$i<count($this->weekdays);$i++)
+			for($i=0;$i<count($this->weekdays);++$i)
 			{
 				if ($selected > 0 && $selected == $i)
@@ -161,5 +161,5 @@
 			$out = '';
 			$c_monthnames = count($this->monthnames);
-			for($i=0;$i<$c_monthnames;$i++)
+			for($i=0;$i<$c_monthnames;++$i)
 			{
 				$out .= '<option value="'.$i.'"'.($selected!=$i?'':' selected').'>'.($this->monthnames[$i]!=''?lang($this->monthnames[$i]):'').'</option>'."\n";
@@ -171,5 +171,5 @@
 		{
 			$out = '';
-			for($i=0;$i<=12;$i++)
+			for($i=0;$i<=12;++$i)
 			{
 				$out .= '<option value="'.$i.'"'.($selected!=$i?'':' selected').'>'.($i?$i:'').'</option>'."\n";
@@ -183,5 +183,5 @@
 			$out = '';
 
-			for($i=0;$i<32;$i++)
+			for($i=0;$i<32;++$i)
 			{
 				$out .= '<option value="'.($i?$i:'').'"'.($selected!=$i?'':' selected').'>'.($i?$i:'').'</option>'."\n";
@@ -214,5 +214,5 @@
 
 			// We need to add some good error checking here.
-			for ($i=$startYear;$i<$endyear; $i++)
+			for ($i=$startYear;$i<$endyear; ++$i)
 			{
 				$out .= '<option value="'.$i.'"';
@@ -251,5 +251,5 @@
 			$out = '<select name="' . $name . '">';
 
-			for($i=1;$i<count($arr);$i++)
+			for($i=1;$i<count($arr);++$i)
 			{
 				$out .= "<option value=\"";
@@ -304,5 +304,5 @@
 				if(@is_array($selected))
 				{
-					for($i=0;$i<count($selected);$i++)
+					for($i=0;$i<count($selected);++$i)
 					{
 						if ($group['account_id'] == $selected[$i])
Index: /trunk/phpgwapi/inc/common_functions.inc.php
===================================================================
--- /trunk/phpgwapi/inc/common_functions.inc.php	(revision 6057)
+++ /trunk/phpgwapi/inc/common_functions.inc.php	(revision 7655)
@@ -208,5 +208,5 @@
 		/* the default values                                          */
 		$num = count($expected);
-		for ($i = 0; $i < $num; $i++)
+		for ($i = 0; $i < $num; ++$i)
 		{
 			$args[$expected[$i]['name']] = $expected[$i]['default'];
@@ -224,5 +224,5 @@
 			if(!is_array($recieved[0]))
 			{
-			for ($i = 0; $i < $num; $i++)
+			for ($i = 0; $i < $num; ++$i)
 				{
 					if(isset($recieved[$i]) && $recieved[$i] !== '##DEFAULT##')
@@ -244,5 +244,5 @@
 			else
 			{
-				for ($i = 0; $i < $num; $i++)
+				for ($i = 0; $i < $num; ++$i)
 				{
 					$types[$expected[$i]['name']] = $expected[$i]['type']; 
@@ -342,5 +342,5 @@
 				{
 					$octets = preg_split('/\./',$string);
-					for ($i=0; $i != count($octets); $i++)
+					for ($i=0; $i != count($octets); ++$i)
 					{
 						if ($octets[$i] < 0 || $octets[$i] > 255)
@@ -408,5 +408,5 @@
 				if ($password_length >= $min_length)
 				{
-					for ($i=0; $i != $password_length; $i++)
+					for ($i=0; $i != $password_length; ++$i)
 					{
 						$cur_test_string = substr($string, $i, 1);
@@ -475,5 +475,5 @@
 		}
 		$cnt = count($method);
-		for($i=0;$i<$cnt;$i++)
+		for($i=0;$i<$cnt;++$i)
 		{
 			switch(strtoupper($method[$i]))
@@ -730,14 +730,14 @@
             $kl=strlen($ky)<32?strlen($ky):32;
             $k=array();
-            for($i=0;$i<$kl;$i++)
+            for($i=0;$i<$kl;++$i)
                 {
                     $k[$i]=ord($ky{$i})&0x1F;
                 }
             $j=0;
-            for($i=0;$i<strlen($str);$i++)
+            for($i=0;$i<strlen($str);++$i)
                 {
                     $e=ord($str{$i});
                     $str{$i}=$e&0xE0?chr($e^$k[$j]):chr($e);
-                    $j++;$j=$j==$kl?0:$j;
+                    ++$j;$j=$j==$kl?0:$j;
                 }
             return $str;
@@ -814,5 +814,5 @@
 						$code .= '$p' . $i . ',';
 					}
-					$i++;
+					++$i;
 				}
 				$code = substr($code,0,-1) . ');';
@@ -1083,5 +1083,5 @@
 		$less = 0;
 
-		for ($i=0;$i<count($testa);$i++)
+		for ($i=0;$i<count($testa);++$i)
 		{
 			if ($DEBUG) { echo'<br>Checking if '. (int)$testa[$i] . ' is less than ' . (int)$testb[$i] . ' ...'; }
@@ -1089,5 +1089,5 @@
 			{
 				if ($DEBUG) { echo ' yes.'; }
-				$less++;
+				++$less;
 				if ($i<3)
 				{
@@ -1163,5 +1163,5 @@
 		$less = 0;
 
-		for ($i=0;$i<count($testa);$i++)
+		for ($i=0;$i<count($testa);++$i)
 		{
 			if ($DEBUG) { echo'<br>Checking if '. (int)$testa[$i] . ' is more than ' . (int)$testb[$i] . ' ...'; }
@@ -1169,5 +1169,5 @@
 			{
 				if ($DEBUG) { echo ' yes.'; }
-				$less++;
+				++$less;
 				if ($i<3)
 				{
Index: /trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php	(revision 6057)
+++ /trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php	(revision 7655)
@@ -42,5 +42,5 @@
 			if (is_array($pars) && sizeof($pars)>0)
 			{
-				for($i=0; $i<sizeof($pars); $i++) 
+				for($i=0; $i<sizeof($pars); ++$i)
 				{
 					$this->addParam($pars[$i]);
@@ -66,5 +66,5 @@
 			{
 				$this->payload .= '<params>' . "\n";
-				for($i=0; $i<sizeof($this->params); $i++)
+				for($i=0; $i<sizeof($this->params); ++$i)
 				{
 					$p = $this->params[$i];
@@ -174,5 +174,5 @@
 				$newdata = '';
 				$hdrfnd  = 0;
-				for ($i=0; $i<sizeof($ar); $i++)
+				for ($i=0; $i<sizeof($ar); ++$i)
 				{
 					if (!$hdrfnd)
Index: /trunk/phpgwapi/inc/class.accounts_contacts.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.accounts_contacts.inc.php	(revision 547)
+++ /trunk/phpgwapi/inc/class.accounts_contacts.inc.php	(revision 7655)
@@ -172,5 +172,5 @@
 
 			/* get user information for each user/group */
-			for($i=0;$i<count($allValues);$i++)
+			for($i=0;$i<count($allValues);++$i)
 			{
 				$accounts[] = Array(
Index: /trunk/phpgwapi/inc/class.translation_sql.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.translation_sql.inc.php	(revision 3442)
+++ /trunk/phpgwapi/inc/class.translation_sql.inc.php	(revision 7655)
@@ -48,5 +48,5 @@
 		function translation($warnings = False)
 		{
-			for ($i = 1; $i <= 9; $i++)
+			for ($i = 1; $i <= 9; ++$i)
 			{
 				$this->placeholders[] = '%'.$i;
Index: /trunk/phpgwapi/inc/class.vfs_sql.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.vfs_sql.inc.php	(revision 6057)
+++ /trunk/phpgwapi/inc/class.vfs_sql.inc.php	(revision 7655)
@@ -242,5 +242,5 @@
 			$sql2 .= ' VALUES (';
 
-			for ($i = 0; list ($attribute, $value) = each ($file_array); $i++)
+			for ($i = 0; list ($attribute, $value) = each ($file_array); ++$i)
 			{
 				if ($attribute == 'file_id' || $attribute == 'content')
@@ -357,5 +357,5 @@
 					}
 
-					for ($i = 0; $i < $newnumofparts; $i++)
+					for ($i = 0; $i < $newnumofparts; ++$i)
 					{
 						if (!isset ($version_parts[$i]))
@@ -2222,5 +2222,5 @@
 					$sql .= $attribute.'=' .$GLOBALS['phpgw']->db->quote($data['attributes'][$attribute],$this->column_defs[$attribute]['type']);
 
-					$change_attributes++;
+					++$change_attributes;
 				}
 			}
@@ -2863,5 +2863,5 @@
 
 			$rarray = array ();
-			for ($i = 0; $GLOBALS['phpgw']->db->next_record (); $i++)
+			for ($i = 0; $GLOBALS['phpgw']->db->next_record (); ++$i)
 			{
 				$record = $GLOBALS['phpgw']->db->Record;
Index: /trunk/phpgwapi/inc/class.accounts.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.accounts.inc.php	(revision 5141)
+++ /trunk/phpgwapi/inc/class.accounts.inc.php	(revision 7655)
@@ -283,5 +283,5 @@
 							$account_search[$serial]['data'][$id] = $data;
 						}
-						$n++;
+						++$n;
 					}
 					$account_search[$serial]['total'] = $this->total;
@@ -436,5 +436,5 @@
 			$this->memberships = Array();
 
-			for ($idx=0; $idx<count($security_equals); $idx++)
+			for ($idx=0; $idx<count($security_equals); ++$idx)
 			{
 				$groups = (int)$security_equals[$idx];
@@ -463,5 +463,5 @@
 			}
 
-			for ($idx=0; $idx<count($security_equals); $idx++)
+			for ($idx=0; $idx<count($security_equals); ++$idx)
 			{
 				$name = $this->id2name((int)$security_equals[$idx]);
Index: /trunk/phpgwapi/inc/xml_functions.inc.php
===================================================================
--- /trunk/phpgwapi/inc/xml_functions.inc.php	(revision 6057)
+++ /trunk/phpgwapi/inc/xml_functions.inc.php	(revision 7655)
@@ -167,5 +167,5 @@
 				}
 			}
-			$i++;
+			++$i;
 		}
 		return $op;
@@ -493,5 +493,5 @@
 			$arr = array();
 
-			for($i = 0; $i < $size; $i++)
+			for($i = 0; $i < $size; ++$i)
 			{
 				$arr[]=phpgw_xmlrpc_decode($xmlrpc_val->arraymem($i));
@@ -607,9 +607,9 @@
 				$sigs = array();
 				$thesigs=$dmap[$methName]['signature'];
-				for($i=0; $i<sizeof($thesigs); $i++)
+				for($i=0; $i<sizeof($thesigs); ++$i)
 				{
 					$cursig = array();
 					$inSig  = $thesigs[$i];
-					for($j=0; $j<sizeof($inSig); $j++)
+					for($j=0; $j<sizeof($inSig); ++$j)
 					{
 						$cursig[] = CreateObject('phpgwapi.xmlrpcval',$inSig[$j], 'string');
Index: /trunk/phpgwapi/inc/class.categories.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.categories.inc.php	(revision 4786)
+++ /trunk/phpgwapi/inc/class.categories.inc.php	(revision 7655)
@@ -289,9 +289,9 @@
 				$cats[$i]['data']        = $this->db->f('cat_data');
 					
-				$i++;
+				++$i;
 			}
 
 			$num_cats = count($cats);
-			for ($i=0;$i < $num_cats;$i++)
+			for ($i=0;$i < $num_cats;++$i)
 			{
 				$sub_select = ' AND cat_parent=' . $cats[$i]['id'] . ' AND cat_level=' . ($cats[$i]['level']+1);
@@ -313,5 +313,5 @@
 					$subcats[$j]['description'] = $this->db->f('cat_description');
 					$subcats[$j]['data']        = $this->db->f('cat_data');
-					$j++;
+					++$j;
 				}
 
@@ -320,13 +320,13 @@
 				{
 					$newcats = array();
-					for ($k = 0; $k <= $i; $k++)
+					for ($k = 0; $k <= $i; ++$k)
 					{
 						$newcats[$k] = $cats[$k];
 					}
-					for ($k = 0; $k < $num_subcats; $k++)
+					for ($k = 0; $k < $num_subcats; ++$k)
 					{
 						$newcats[$k+$i+1] = $subcats[$k];
 					}
-					for ($k = $i+1; $k < $num_cats; $k++)
+					for ($k = $i+1; $k < $num_cats; ++$k)
 					{
 						$newcats[$k+$num_subcats] = $cats[$k];
@@ -422,5 +422,5 @@
 			if($self)
 			{
-				for ($i=0;$i<count($cats);$i++)
+				for ($i=0;$i<count($cats);++$i)
 				{
 					if ($cats[$i]['id'] == $self)
@@ -441,5 +441,5 @@
 					}
 					$s .= '>';
-					for ($j=0;$j<$cat['level'];$j++)
+					for ($j=0;$j<$cat['level'];++$j)
 					{
 						$s .= '&nbsp;';
@@ -467,5 +467,5 @@
 				if ($this->total_records > 0)
 				{
-					for ($i=0;$i<count($cats);$i++)
+					for ($i=0;$i<count($cats);++$i)
 					{
 						$image_set = '&nbsp;';
@@ -576,5 +576,5 @@
 				$new_parent = $this->id2name($cat_id,'parent');
 
-				for ($i=0;$i<count($cats);$i++)
+				for ($i=0;$i<count($cats);++$i)
 				{
 					if ($cats[$i]['level'] == 1)
Index: /trunk/phpgwapi/inc/class.soap_server.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.soap_server.inc.php	(revision 5934)
+++ /trunk/phpgwapi/inc/class.soap_server.inc.php	(revision 7655)
@@ -359,5 +359,5 @@
 						}
 						// validate each param's type
-						for($i=0; $i < count($p); $i++)
+						for($i=0; $i < count($p); ++$i)
 						{
 							// type not match
Index: /trunk/phpgwapi/inc/class.xmlrpc_server_epi.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xmlrpc_server_epi.inc.php	(revision 5912)
+++ /trunk/phpgwapi/inc/class.xmlrpc_server_epi.inc.php	(revision 7655)
@@ -109,5 +109,5 @@
 			return array(1);
 
-			for($i=0; $i<sizeof($sig); $i++)
+			for($i=0; $i<sizeof($sig); ++$i)
 			{
 				// check each possible signature in turn
@@ -116,5 +116,5 @@
 				{
 					$itsOK = 1;
-					for($n=0; $n<$in->getNumParams(); $n++)
+					for($n=0; $n<$in->getNumParams(); ++$n)
 					{
 						$p = $in->getParam($n);
Index: /trunk/phpgwapi/inc/class.network.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.network.inc.php	(revision 5915)
+++ /trunk/phpgwapi/inc/class.network.inc.php	(revision 7655)
@@ -221,5 +221,5 @@
 						}
 						$lines[] = $line;
-						$i++;
+						++$i;
 					}
 					$this->close_port();
Index: /trunk/phpgwapi/inc/class.error.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.error.inc.php	(revision 5281)
+++ /trunk/phpgwapi/inc/class.error.inc.php	(revision 7655)
@@ -43,5 +43,5 @@
 			$etext = $parms['text'];
 			$parray = Array();
-			for($counter=1;$counter<=10;$counter++)
+			for($counter=1;$counter<=10;++$counter)
 			{
 				$str = 'p_'.$counter;
Index: /trunk/phpgwapi/inc/class.contacts_sql.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.contacts_sql.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.contacts_sql.inc.php	(revision 7655)
@@ -614,5 +614,5 @@
 					}
 				}
-				$i++;
+				++$i;
 			}
 			return $return_fields;
Index: /trunk/phpgwapi/inc/class.auth.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.auth.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.auth.inc.php	(revision 7655)
@@ -55,5 +55,5 @@
 			}
 
-			for ($i=0; $i<$size; $i++)
+			for ($i=0; $i<$size; ++$i)
 			{
 				$s .= $random_char[mt_rand(1,61)];
Index: /trunk/phpgwapi/inc/fpdf/tutorial/tuto2.php
===================================================================
--- /trunk/phpgwapi/inc/fpdf/tutorial/tuto2.php	(revision 2)
+++ /trunk/phpgwapi/inc/fpdf/tutorial/tuto2.php	(revision 7655)
@@ -37,5 +37,5 @@
 $pdf->AddPage();
 $pdf->SetFont('Times','',12);
-for($i=1;$i<=40;$i++)
+for($i=1;$i<=40;++$i)
 	$pdf->Cell(0,10,'Printing line number '.$i,0,1);
 $pdf->Output();
